osl::effect_action::StorePtypeOSquare Struct Reference

PtypeOSquareVector に格納 More...

`#include <effect_action.h>`

## Public Member Functions

| StorePtypeOSquare (PtypeOSquareVector *s, Square t)
template<Player P, Ptype Type>
void | doActionPtype (Piece p)
template<Player P>
void | doAction (Piece p, Square)
void | store (Piece p)

## Public Attributes

PtypeOSquareVector * | out
Square | target

## Detailed Description

PtypeOSquareVector に格納

Definition at line 171 of file effect_action.h.

## Constructor & Destructor Documentation

## StorePtypeOSquare()

osl::effect_action::StorePtypeOSquare::StorePtypeOSquare | ( | PtypeOSquareVector * | s,
|  | Square | t )

inline

Definition at line 175 of file effect_action.h.

References out, and target.

## Member Function Documentation

## doAction()

template<Player P>

void osl::effect_action::StorePtypeOSquare::doAction | ( | Piece | p,
|  | Square | )

inline

Definition at line 185 of file effect_action.h.

References store().

## doActionPtype()

template<Player P, Ptype Type>

void osl::effect_action::StorePtypeOSquare::doActionPtype | ( | Piece | p | ) |

inline

Definition at line 180 of file effect_action.h.

References store().

## store()

void osl::effect_action::StorePtypeOSquare::store | ( | Piece | p | ) |

inline

Definition at line 190 of file effect_action.h.

References out, osl::Piece::ptypeO(), and osl::Piece::square().

Referenced by doAction(), and doActionPtype().

## Member Data Documentation

## out

PtypeOSquareVector* osl::effect_action::StorePtypeOSquare::out

Definition at line 173 of file effect_action.h.

Referenced by store(), and StorePtypeOSquare().

## target

Square osl::effect_action::StorePtypeOSquare::target

Definition at line 174 of file effect_action.h.

Referenced by StorePtypeOSquare().

The documentation for this struct was generated from the following file:

- effect_action.h